com.tibbo.aggregate.common.dao

## Interface EventStorage

-     public interface EventStorage

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `STORAGE_DEFAULT`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addBinding(PersistenceBinding binding)`
    `java.util.List<PersistenceBinding>` | `getBindings()`
    `java.lang.String` | `getContext()`
    `java.lang.String` | `getEvent()`
    `java.lang.String` | `getTable()`
    `int` | `getType()`
    `boolean` | `isDefault()`
    `boolean` | `isPersistAcknowledgements()`
    `boolean` | `isPersistContext()`
    `boolean` | `isPersistCount()`
    `boolean` | `isPersistData()`
    `boolean` | `isPersistEnrichments()`
    `boolean` | `isPersistExpirationtime()`
    `boolean` | `isPersistFormat()`
    `boolean` | `isPersistLevel()`
    `boolean` | `isPersistName()`
    `boolean` | `isPersistPermissions()`
    `void` | `setBindings(java.util.List<PersistenceBinding> bindings)`
    `void` | `setContext(java.lang.String context)`
    `void` | `setEvent(java.lang.String event)`
    `void` | `setPersistAcknowledgements(boolean persistAcknowledgements)`
    `void` | `setPersistContext(boolean persistContext)`
    `void` | `setPersistCount(boolean persistCount)`
    `void` | `setPersistData(boolean persistData)`
    `void` | `setPersistEnrichments(boolean persistEnrichments)`
    `void` | `setPersistExpirationtime(boolean persistExpirationtime)`
    `void` | `setPersistFormat(boolean persistFormat)`
    `void` | `setPersistLevel(boolean persistLevel)`
    `void` | `setPersistName(boolean persistName)`
    `void` | `setPersistPermissions(boolean persistPermissions)`
    `void` | `setTable(java.lang.String table)`
    `void` | `setType(int type)`
    `DataTable` | `toDataTable()`

- - ### Field Detail

    - #### STORAGE_DEFAULT

          static final int STORAGE_DEFAULT

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getType

          int getType()

    - #### setType

          void setType(int type)

    - #### getTable

          java.lang.String getTable()

    - #### setTable

          void setTable(java.lang.String table)

    - #### getContext

          java.lang.String getContext()

    - #### setContext

          void setContext(java.lang.String context)

    - #### getEvent

          java.lang.String getEvent()

    - #### setEvent

          void setEvent(java.lang.String event)

    - #### getBindings

          java.util.List<PersistenceBinding> getBindings()

    - #### setBindings

          void setBindings(java.util.List<PersistenceBinding> bindings)

    - #### addBinding

          void addBinding(PersistenceBinding binding)

    - #### isPersistContext

          boolean isPersistContext()

    - #### setPersistContext

          void setPersistContext(boolean persistContext)

    - #### isPersistName

          boolean isPersistName()

    - #### setPersistName

          void setPersistName(boolean persistName)

    - #### isPersistExpirationtime

          boolean isPersistExpirationtime()

    - #### setPersistExpirationtime

          void setPersistExpirationtime(boolean persistExpirationtime)

    - #### isPersistLevel

          boolean isPersistLevel()

    - #### setPersistLevel

          void setPersistLevel(boolean persistLevel)

    - #### isPersistPermissions

          boolean isPersistPermissions()

    - #### setPersistPermissions

          void setPersistPermissions(boolean persistPermissions)

    - #### isPersistCount

          boolean isPersistCount()

    - #### setPersistCount

          void setPersistCount(boolean persistCount)

    - #### isPersistAcknowledgements

          boolean isPersistAcknowledgements()

    - #### setPersistAcknowledgements

          void setPersistAcknowledgements(boolean persistAcknowledgements)

    - #### isPersistEnrichments

          boolean isPersistEnrichments()

    - #### setPersistEnrichments

          void setPersistEnrichments(boolean persistEnrichments)

    - #### isPersistFormat

          boolean isPersistFormat()

    - #### setPersistFormat

          void setPersistFormat(boolean persistFormat)

    - #### isPersistData

          boolean isPersistData()

    - #### setPersistData

          void setPersistData(boolean persistData)

    - #### isDefault

          boolean isDefault()

    - #### toDataTable

          DataTable toDataTable()